Pterodactyldocs
Client A P I

Restore server backup

Restores a backup over the server files.

POST/api/client/servers/{server_uuid}/backups/{backup_uuid}/restore
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

server_uuid*string

The server UUID.

backup_uuid*string

The backup UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/backups/b6b9acf9-19b1-4bb1-8c75-4abac802c6cf/restore" \  -H "Content-Type: application/json" \  -d '{    "truncate": true  }'
Empty